Page MenuHomePhabricator

D9. Flow BoardDescriptionWidget
Closed, ResolvedPublic5 Story Points

Description

This is a good way to start because it involves OO UI PHP and editing, but is pretty isolated from the rest.

This doesn't include the sidebar or the editor.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterCreate an OOUI widget for board description
mediawiki/extensions/Flow : masterOutput the board description as an ooui widget

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 3 2015, 5:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

We decided this should go first before topic widget.

Mattflaschen-WMF set Security to None.
Mattflaschen-WMF triaged this task as Normal priority.Jun 3 2015, 6:30 PM
DannyH renamed this task from Flow BoardDescriptionWidget to C5. Flow BoardDescriptionWidget.Jun 3 2015, 7:13 PM
DannyH raised the priority of this task from Normal to High.

Change 216038 had a related patch set uploaded (by Mooeypoo):
[WIP] Create a BoardDescriptionWidget

https://gerrit.wikimedia.org/r/216038

DannyH renamed this task from C5. Flow BoardDescriptionWidget to D9. Flow BoardDescriptionWidget.Jun 16 2015, 7:24 PM
DannyH removed Mooeypoo as the assignee of this task.

Change 219208 had a related patch set uploaded (by Mooeypoo):
Create an OOUI widget for board description

https://gerrit.wikimedia.org/r/219208

Change 216038 had a related patch set uploaded (by Catrope):
Output the board description as an ooui widget

https://gerrit.wikimedia.org/r/216038

Change 216038 merged by jenkins-bot:
Output the board description as an ooui widget

https://gerrit.wikimedia.org/r/216038

Change 219208 merged by jenkins-bot:
Create an OOUI widget for board description

https://gerrit.wikimedia.org/r/219208

Checked in betalabs - general regression(flow-ui-boardDescriptionWidget).

Checked in betalabs - general regression(flow-ui-boardDescriptionWidget).

What's the regression?

In T101278#1546894, @Etonkovidova wrote:
Checked in betalabs - general regression(flow-ui-boardDescriptionWidget).
What's the regression?

General regression testing was done.

DannyH closed this task as Resolved.Aug 19 2015, 6:54 PM